<?php

namespace App\Helpers;

class Constants
{
    const TABLE_ARTISTS = 'artists';
    const TABLE_COUNT_VIEWS = 'count_views';
    const TABLE_CRAWLER_LISTEN_HISTORIES = 'crawler_listen_histories';
    const TABLE_CRAWLER_LISTENS = 'crawler_listens';
    const TABLE_CRONTJOBS = 'crontjobs';

    const TABLE_FAILED_JOBS = 'failed_jobs';
    const TABLE_JOBS = 'jobs';
    const TABLE_MIGRATIONS = 'migrations';
    const TABLE_NOTIFICATIONS = 'notifications';
    const TABLE_OAUTH_ACCESS_TOKENS = 'oauth_access_tokens';
    const TABLE_OAUTH_AUTH_CODES = 'oauth_auth_codes';
    const TABLE_OAUTH_CLIENTS = 'oauth_clients';
    const TABLE_OAUTH_PERSONAL_ACCESS_CLIENTS = 'oauth_personal_access_clients';
    const TABLE_OAUTH_REFRESH_TOKENS = 'oauth_refresh_tokens';
    const TABLE_PASSWORD_RESETS = 'password_resets';
    const TABLE_PERMISSION_USER = 'permission_user';
    const TABLE_PERMISSIONS = 'permissions';

    const TABLE_REPORT_VIEWS_DAILY = 'report_views_daily';
    const TABLE_REPORT_VIEWS_WEEKLY = 'report_views_weekly';
    const TABLE_REPORTS_VIEWS_MONTHLY = 'reports_views_monthly';

    const TABLE_ROLE_USER = 'role_user';
    const TABLE_ROLES = 'roles';

    const TABLE_TRACK_ARTIST = 'track_artist';
    const TABLE_TRACK_USER = 'track_user';
    const TABLE_TRACKS = 'tracks';

    const TABLE_USER_LOGS = 'user_logs';
    const TABLE_USERS = 'users';

    const VIEW_TABLE_DAILY_REPORT_VIEW = 'daily_report_view';
    const VIEW_TABLE_WEEKLY_REPORT_VIEW = 'weekly_report_view';
    const VIEW_TABLE_MONTHLY_REPORT_VIEW = 'monthly_report_view';

    const USER_STATUS_INACTIVE = 0;
    const USER_STATUS_ACTIVE = 1;
    const USER_STATUS_LOCKED = 2;
    const USER_STATUS_LEFT = 3;

    const DB_NO_CONNECTION = 2002;
    const SYSTEM_ERROR = -500;
    const ACCESS_DENIED = 403;
    const KILL_MYSELF = 'KILL_MYSELF';
    const SYSTEM_MAINTENANCE = 503;

    const CODE_SUCCESS    = 0;
    const CODE_ERROR      = 1;
    const CODE_EMPTY      = 2;

    const MESSAGE_SUCCESS = 'success';
    const MESSAGE_ERROR   = 'error';
    const MESSAGE_EMPTY   = 'empty';

    const VMUSICCHART_IMG_TRACKS_DB = 'uploads/tracks/arts/';
    const VMUSICCHART_IMG_TRACKS = '/home/aseanvn/public_html/vmusicchart.dcv.vn/uploads/tracks/arts/';
    const VMUSICCHART_IMG_EMPTY_PNG = '/home/aseanvn/public_html/vmusicchart.dcv.vn/uploads/empty-1x1-png.png';
    const VMUSICCHART_IMG_EMPTY_JPG = '/home/aseanvn/public_html/vmusicchart.dcv.vn/uploads/empty-1x1-jpg.jpg';
    const VMUSICCHART_IMG_EMPTY_GIF = '/home/aseanvn/public_html/vmusicchart.dcv.vn/uploads/empty-1x1-gif.gif';

    const CRAWLER_LISTEN_LIMIT = 500;

}